Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040093
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Omnichannelminorhave not tried2019-01-31 17:212019-02-15 14:38
ReporterplujanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusresolvedFix in branchFixed in SCM revision262969db0fde
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned To
Regression levelPackaging and release
Regression date2018-11-08
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bb7e3c1aa17 [^]
Triggers an Emergency PackNo
Summary

0040093: [RR19Q1] [OMNI] The "Invoice" checkbox can be visually removed from paid tickets

DescriptionWhen a ticket has been invoiced, a checkbox labelled "Invoice" is shown. For draft tickets, it is possible to click this check to remove it and to add it again using the "Invoice this receipt" menu option.

However, in previous releases, trying to remove the check from a paid ticket generated a pop up error message "This order cannot be edited", while in current release there is no pop up and the check is removed. It is true that the change is simply visual (reloading the same ticket will show the check again)
Steps To Reproduce1. Create a ticket with a line
2. Select the menu option "Invoice this receipt" and pay it by its total amount. Note a check labelled "Invoice" is shown.
3. Go to the Open Receipt menu option and select the ticket to open it
4. Note the "Invoice" checkbox and click it. The checkbox now is not shown. Repeat these steps in 18Q4 and check an error message is shown "This order cannot be edited"
5. Close the ticket and open it again, note the check that is still shown, so the uncheck in step 4 is just visual.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040224RR19Q1 scheduledranjith_qualiantech_com [RR19Q1] [OMNI] The "Invoice" checkbox can be visually removed from paid tickets 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0109567)
hgbot (developer)
2019-02-05 09:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 262969db0fded50b1bebbbdbcd9ece28fb0e21ea
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 05 13:35:21 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/262969db0fded50b1bebbbdbcd9ece28fb0e21ea [^]

Fixed issue 40093 : Invoice Flag should not be updated when receipt is not editable

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0109568)
hgbot (developer)
2019-02-05 09:05

Repository: tools/automation/pi-mobile
Changeset: 8b45857a09661701c5ba9ecbf607113c6a071b0d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 05 13:35:35 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/8b45857a09661701c5ba9ecbf607113c6a071b0d [^]

Verifies issue 40093 : Added Automated Test 'I40093_VerifyInvoiceFlagInPaidReceipt'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I40093_VerifyInvoiceFlagInPaidReceipt.java
---

- Issue History
Date Modified Username Field Change
2019-01-31 17:21 plujan New Issue
2019-01-31 17:21 plujan Assigned To => Retail
2019-01-31 17:21 plujan Regression level => Packaging and release
2019-01-31 17:21 plujan Triggers an Emergency Pack => No
2019-02-04 12:50 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-02-04 12:50 ranjith_qualiantech_com Status new => scheduled
2019-02-04 13:03 ranjith_qualiantech_com Regression date => 2018-11-08
2019-02-04 13:03 ranjith_qualiantech_com Regression introduced in release => pi
2019-02-04 13:03 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bb7e3c1aa17 [^]
2019-02-05 09:05 hgbot Checkin
2019-02-05 09:05 hgbot Note Added: 0109567
2019-02-05 09:05 hgbot Status scheduled => resolved
2019-02-05 09:05 hgbot Resolution open => fixed
2019-02-05 09:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/262969db0fded50b1bebbbdbcd9ece28fb0e21ea [^]
2019-02-05 09:05 hgbot Checkin
2019-02-05 09:05 hgbot Note Added: 0109568
2019-02-15 14:38 marvintm Status resolved => new
2019-02-15 14:38 marvintm Resolution fixed => open
2019-02-15 14:38 marvintm Status new => scheduled
2019-02-15 14:38 marvintm Status scheduled => resolved
2019-02-15 14:38 marvintm Fixed in Version => RR19Q2
2019-02-15 14:38 marvintm Resolution open => fixed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker